Login Main site Create account

16.03.2005 13:50

Matrox Parhelia driver for Linux 2.6.11


Today I finished the porting of the Matrox Parhelia Driver 1.4.0 for Linux from 2.6.x (where x != 11) to 2.6.11 (and upwards).
The current driver did not work with 2.6.11 because of structural changes in the kernel source tree (removal of the agp_backend structure, removal of remap_page_range). My port does basically work, but at the moment OpenGL does not work on my system (if it does on yours with my driver, please write me an email).

As I had not the time to create a new .run script, you'd have to download the current 1.4.0 release from the above link, let it extract to matroxdriver-1.4.0 and patch it with my update.
vi-edv003:~# ./mtxdriver-pro-1.4.0.run
Please, enter the directory to extract the files [/root/]

mkdir: too few arguments
Try `mkdir --help' for more information.
Creating directory /root/matroxdriver-1.4.0
Verifying archive integrity... All good.
Uncompressing Matrox Parhelia Driver..................
After uncompressing the tarball, you may cancel (CTRL-C) the install script while trying to compile the mtx.ko kernel module (because it won't work anyway).
Change to the driver-directory, and apply my patch.
vi-edv003:~/matroxdriver-1.4.0# patch -p1 <../mtx-1.4.0-2.6.11.diff
patching file kernel/src/mtx_agp.c
patching file kernel/src/mtx_drv.h
patching file kernel/src/mtx_mem.c
patching file kernel/src/mtx_vm.c
vi-edv003:~/matroxdriver-1.4.0#./install.sh
Follow the instructions and you should be fine.
Currently no comments to this entry (http://tuxx-home.at/archives/2005/03/16/T13_50_38/index.html)


Your comment (HTML tags will be stripped !!):

To verify You are not a bot, type down text from this image.

Your try: